> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.polytomic.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.polytomic.com/_mcp/server.

# Update Webhook

PATCH https://app.polytomic.com/api/webhooks/{id}
Content-Type: application/json

Updates an existing webhook.

> 📘 One webhook per organization
>
> An organization can register a single webhook, which receives every event
> produced in that organization. See the
> [Events documentation](../../../guides/events) for the
> list of event types and payload shapes.

Reference: https://apidocs.polytomic.com/2023-04-25/api-reference/webhooks/update

## Authentication

- `Authorization` header (basic auth, required) — This is the Polytomic deployment key (on-premises only)
- `Authorization` header (bearer token, required) — This is the Polytomic API key

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

This endpoint expects a V2UpdateWebhooksSchema.

- `endpoint` (string, required)
- `secret` (string, required)
- `organization_id` (string, optional, nullable)

## Response

### 200

OK

- `data` (V2Webhook, optional)

## Errors

### 401 Unauthorized Error

Unauthorized

- `code` (integer, optional) — Application-specific error code.
- `context` (map from string to any, optional) — Application context.
- `error` (string, optional) — Error message.
- `status` (string, optional) — Status text.

### 422 Unprocessable Entity Error

Unprocessable Entity

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 500 Internal Server Error

Internal Server Error

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

## Types

### V2Webhook

- `created_at` (datetime, optional)
- `disabled` (boolean, optional)
- `disabled_at` (datetime, optional, nullable)
- `disabled_reason` (string, optional, nullable)
- `endpoint` (string, optional)
- `id` (string, optional)
- `organization_id` (string, optional)
- `secret` (string, optional)

## Examples

**Request**

```json
{
  "endpoint": "https://example.com/webhook",
  "secret": "string"
}
```

**Response**

```json
{
  "data": {
    "created_at": "2024-01-01T00:00:00Z",
    "disabled": true,
    "disabled_at": "2024-01-15T09:30:00Z",
    "disabled_reason": "string",
    "endpoint": "https://example.com/webhook",
    "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
    "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
    "secret": "secret"
  }
}
```

**SDK Code**

```python
import requests

url = "https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d"

payload = {
    "endpoint": "https://example.com/webhook",
    "secret": "string"
}
headers = {
    "X-Polytomic-Version": "X-Polytomic-Version"
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'PATCH',
  headers: {
    'X-Polytomic-Version': 'X-Polytomic-Version',
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{"endpoint":"https://example.com/webhook","secret":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d"

	payload := strings.NewReader("{\n  \"endpoint\": \"https://example.com/webhook\",\n  \"secret\": \"string\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("X-Polytomic-Version", "X-Polytomic-Version")
	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["X-Polytomic-Version"] = 'X-Polytomic-Version'
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"endpoint\": \"https://example.com/webhook\",\n  \"secret\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d")
  .header("X-Polytomic-Version", "X-Polytomic-Version")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{\n  \"endpoint\": \"https://example.com/webhook\",\n  \"secret\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d', [
  'body' => '{
  "endpoint": "https://example.com/webhook",
  "secret": "string"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Polytomic-Version' => 'X-Polytomic-Version',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.PATCH);
request.AddHeader("X-Polytomic-Version", "X-Polytomic-Version");

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"endpoint\": \"https://example.com/webhook\",\n  \"secret\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "X-Polytomic-Version": "X-Polytomic-Version",
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [
  "endpoint": "https://example.com/webhook",
  "secret": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```